Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
reg_named_capture_assign_t Struct Reference

## Data Fields
struct parser_params * | parser
rb_encoding * | enc
NODE * | succ_block
NODE * | fail_block
int | num

## Detailed Description

Definition at line 15375 of file ripper.c.

## Field Documentation

rb_encoding * reg_named_capture_assign_t::enc

Definition at line 15377 of file ripper.c.

Referenced by reg_named_capture_assign_gen(), and reg_named_capture_assign_iter().

NODE * reg_named_capture_assign_t::fail_block

Definition at line 15379 of file ripper.c.

Referenced by reg_named_capture_assign_gen(), and reg_named_capture_assign_iter().

int reg_named_capture_assign_t::num

Definition at line 15380 of file ripper.c.

Referenced by reg_named_capture_assign_gen(), and reg_named_capture_assign_iter().

struct parser_params * reg_named_capture_assign_t::parser

Definition at line 15376 of file ripper.c.

Referenced by reg_named_capture_assign_gen(), and reg_named_capture_assign_iter().

NODE * reg_named_capture_assign_t::succ_block

Definition at line 15378 of file ripper.c.

Referenced by reg_named_capture_assign_gen(), and reg_named_capture_assign_iter().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c